<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:48:39 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ConstraintWithVSLlUiModule (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConstraintWithVSLlUiModule (org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLlUiModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/ConstraintWithVSLlExecutableExtensionFactory.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/ConstraintWithVSLlUiModule.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLlUiModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.AbstractConstraintWithVSLlUiModule">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui</div>
<h2 title="Class ConstraintWithVSLlUiModule" class="title">Class ConstraintWithVSLlUiModule</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.service.AbstractGenericModule</li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.ui.DefaultUiModule</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui">org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.AbstractConstraintWithVSLlUiModule</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.ConstraintWithVSLlUiModule</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.google.inject.Module</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConstraintWithVSLlUiModule</span>
extends <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui">AbstractConstraintWithVSLlUiModule</a></pre>
<div class="block">Use this class to register components to be used within the IDE.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/ConstraintWithVSLlUiModule.html#ConstraintWithVSLlUiModule-org.eclipse.ui.plugin.AbstractUIPlugin-">ConstraintWithVSLlUiModule</a></span>(org.eclipse.ui.plugin.AbstractUIPlugin&nbsp;plugin)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.AbstractConstraintWithVSLlUiModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.<a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui">AbstractConstraintWithVSLlUiModule</a></h3>
<code><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindContentAssistContext:DFactory--">bindContentAssistContext$Factory</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIContentAssistParser--">bindIContentAssistParser</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIContentProposalProvider--">bindIContentProposalProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIDependentElementsCalculator--">bindIDependentElementsCalculator</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindILabelProvider--">bindILabelProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIOutlineTreeProvider--">bindIOutlineTreeProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIOutlineTreeStructureProvider--">bindIOutlineTreeStructureProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIProposalConflictHelper--">bindIProposalConflictHelper</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#bindIssueResolutionProvider--">bindIssueResolutionProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#configureContentAssistLexer-com.google.inject.Binder-">configureContentAssistLexer</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#configureContentAssistLexerProvider-com.google.inject.Binder-">configureContentAssistLexerProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#configureHighlightingLexer-com.google.inject.Binder-">configureHighlightingLexer</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#configureHighlightingTokenDefProvider-com.google.inject.Binder-">configureHighlightingTokenDefProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#configureResourceUIServiceLabelProvider-com.google.inject.Binder-">configureResourceUIServiceLabelProvider</a>, <a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/AbstractConstraintWithVSLlUiModule.html#provideIAllContainersState--">provideIAllContainersState</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.ui.DefaultUiModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.ui.DefaultUiModule</h3>
<code>bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindIShouldGenerate, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.service.AbstractGenericModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.service.AbstractGenericModule</h3>
<code>bindProperties, getBindings, tryBindProperties</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConstraintWithVSLlUiModule-org.eclipse.ui.plugin.AbstractUIPlugin-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConstraintWithVSLlUiModule</h4>
<pre>public&nbsp;ConstraintWithVSLlUiModule(org.eclipse.ui.plugin.AbstractUIPlugin&nbsp;plugin)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConstraintWithVSLlUiModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/ConstraintWithVSLlExecutableExtensionFactory.html" title="class in org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/constraintwithvsl/xtext/ui/ConstraintWithVSLlUiModule.html" target="_top">Frames</a></li>
<li><a href="ConstraintWithVSLlUiModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui.AbstractConstraintWithVSLlUiModule">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
